Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`posixbase``

module documentation
(source)

Posix reactor base class

Class | `PosixReactorBase` | A basis for reactors that use file descriptors.
Variable | `processEnabled` | Undocumented
Variable | `unixEnabled` | Undocumented
Class | `_ContinuousPolling` | Schedule reads and writes based on the passage of time, rather than notification.
Class | `_DisconnectSelectableMixin` | Mixin providing the `_disconnectSelectable` method.
Class | `_PollLikeMixin` | Mixin for poll-like reactors.
Constant | `_NO_FILEDESC` | Undocumented
Constant | `_NO_FILENO` | Undocumented

processEnabled: `bool` = (source)

Undocumented

unixEnabled = (source)

Undocumented

_NO_FILEDESC = (source)

Undocumented

Value

    error.ConnectionFdescWentAway('File descriptor lost')

_NO_FILENO = (source)

Undocumented

Value

    error.ConnectionFdescWentAway('Handler has no fileno method')